Main Class Reference: Buzztrax Bt-Edit Reference Manual

## Main Class Reference

btedit — buzztrax graphical editor application
BtAboutDialog — class for the editor about dialog
BtChangeLog — class for the editor action journaling
BtChangeLogger — interface for the editor action journaling
BtCrashRecoverDialog — class for the song recovery dialog
BtEditApplication — class for a gtk based buzztrax editor application
BtInteractionControllerMenu — class for the interaction controller assignment popup menu
BtMachineActions — shared machine released ui actions
BtMachineCanvasItem — class for the editor machine views machine canvas item
BtMachineListModel — data model class for widgets showing machines of a song
BtMachineMenu — class for the machine selection popup menu
BtMachinePreferencesDialog — machine non-realtime parameters
BtMachinePresetPropertiesDialog — machine preset settings
BtMachinePropertiesDialog — machine realtime parameters
BtMachineRenameDialog — machine settings
BtMainMenu — class for the editor main menu
BtMainPageInfo — the editor main info page
BtMainPageMachines — the editor main machines page
BtMainPagePatterns — the editor main pattern page
BtMainPageSequence — the editor main sequence page
BtMainPageWaves — the editor wavetable page
BtMainPages — class for the editor main pages
BtMainStatusbar — class for the editor main statusbar
BtMainToolbar — class for the editor main toolbar
BtMainWindow — root buzztrax editor window
BtMissingFrameworkElementsDialog — missing core and application elements
BtMissingSongElementsDialog — missing song machine and wave elements
BtObjectListModel — data model class for some widgets
BtPanoramaPopup — panorama popup widget
BtPatternListModel — data model class for widgets showing pattern of a song
BtPatternPropertiesDialog — pattern settings
BtPresetListModel — data model class for widgets showing presets of a machine
BtRenderDialog — class for the editor render dialog
BtSequenceGridModel — data model class for widgets showing the pattern sequence of a song
BtSequenceView — the editor main sequence table view
BtSettingsDialog — class for the editor settings dialog
BtSettingsPageAudiodevices — audio device configuration settings page
BtSettingsPageInteractionController — interaction controller configuration settings page
BtSettingsPagePlaybackController — playback controller configuration settings page
BtSettingsPageDirectories — default directory configuration settings page
BtSettingsPageShortcuts — keyboard shortcut settings page
BtSettingsPageUI — theme and color settings page
BtSignalAnalysisDialog — audio analysis window
BtTipDialog — class for the editor tip-of-the-day dialog
BtUIResources — common shared ui resources like icons and colors
BtVolumePopup — volume popup widget
BtWireCanvasItem — class for the editor wire views wire canvas item
BtWaveListModel — data model class for widgets showing waves of a wavetable
BtWavelevelListModel — data model class for widgets showing wavelevel of a wave

Generated by GTK-Doc V1.24.1